import { FetchBaseQueryError } from '@reduxjs/toolkit/query';

import { BaseResponse } from '../../models/api';

export const extractBodyFromResponse = <Body>(response: BaseResponse<Body>) => {
  console.log('response', response);
  if (response.success) {
    return response.body;
  }
};

export const extractErrorMessageFromResponse = ({
  data,
}: FetchBaseQueryError) => {
  if (
    typeof data === 'object' &&
    data !== null &&
    'error' in data &&
    typeof data.error === 'string'
  ) {
    return data.error;
  }
};
