import { TFunction } from "i18next";
import { InputProps } from "@chakra-ui/react";

import {
  CoupeImg,
  CrossoverImg,
  HatchbackImg,
  LiftbackImg,
  MinivanImg,
  PickupImg,
  SedanImg,
  SportsCarImg,
  StationWagonImg,
  SuvImg,
  OtherImg
} from "../../../../assets/images";
import { Car } from "../../../../models/landing";

import { CarBodySelectOption } from "./types";

export const carBodySelectOptions: CarBodySelectOption[] = [
  {
    value: Car.BodyStyle.SEDAN,
    labelTKey: 'sedan',
    img: SedanImg
  },
  {
    value: Car.BodyStyle.HATCHBACK,
    labelTKey: 'hatchback',
    img: HatchbackImg
  },
  {
    value: Car.BodyStyle.CROSSOVER,
    labelTKey: 'crossover',
    img: CrossoverImg
  },
  {
    value: Car.BodyStyle.SUV,
    labelTKey: 'suv',
    img: SuvImg
  },
  {
    value: Car.BodyStyle.STATION_WAGON,
    labelTKey: 'station-wagon',
    img: StationWagonImg
  },
  {
    value: Car.BodyStyle.COUPE,
    labelTKey: 'coupe',
    img: CoupeImg
  },
  {
    value: Car.BodyStyle.MINIVAN,
    labelTKey: 'minivan',
    img: MinivanImg
  },
  {
    value: Car.BodyStyle.PICKUP,
    labelTKey: 'pickup',
    img: PickupImg
  },
  {
    value: Car.BodyStyle.LIFTBACK,
    labelTKey: 'liftback',
    img: LiftbackImg
  },
  {
    value: Car.BodyStyle.SPORTS_CAR,
    labelTKey: 'sports-car',
    img: SportsCarImg
  },
  {
    value: Car.BodyStyle.OTHER,
    labelTKey: 'other',
    img: OtherImg
  },
];

export const getInputValue = (value: Car.BodyStyle, t: TFunction<"~", "dry-wash.order-create.car-body-select">): InputProps['value'] => {
  const { labelTKey } = carBodySelectOptions.find((option) => value === option.value) ?? {};

  if (labelTKey) {
    return t(`options.${labelTKey}`);
  }

  return;
};