const getCoordinates = (location: string) => {
  if (!location) return null;

  const [lat, lon] = location
    .split(',')
    .map((coord) => parseFloat(coord.trim()));

  if (isNaN(lat) || isNaN(lon)) return null;

  return { lat, lon };
};

export default getCoordinates;
